ArrayObject::asort
ArrayObject::count
ArrayObject
PHP Manual

# ArrayObject::__construct

(PHP 5 >= 5.0.0)

ArrayObject::__construct — Construct a new array object

### Description

ArrayObject::__construct ([ mixed `$input` [, int `$flags` [, string `$iterator_class` ]]] )

This constructs a new array object .

### Parameters

`input`

  The `input` parameter accepts an array or an Object .

`flags`

  Flags to control the behaviour of the ArrayObject object.

`iterator_class`

  Specify the class that will be used for iteration of the ArrayObject object. ArrayIterator is the default class used.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::__construct() example

`<?php
$array = array('1' => 'one',
'2' => 'two',
'3' => 'three');
$arrayobject = new ArrayObject($array);
var_dump($arrayobject);
?>`

The above example will output:

    object(ArrayObject)#1 (3) {
      [1]=>
      string(3) "one"
      [2]=>
      string(3) "two"
      [3]=>
      string(5) "three"
    }

### See Also

- ArrayObject::setflags - Sets the behavior flags.

ArrayObject::asort
ArrayObject::count
ArrayObject
PHP Manual